[Project_owners] maxAppVersion for Firefox 1.5

Axel Hecht axel at pike.org
Mon Sep 26 16:41:36 EDT 2005


Julian Reschke wrote:
> Julian Reschke wrote:
>> Hi,
>>
>> what is the correct value of maxAppVersion for Firefox 1.5? I was able 
>> to install my extensions (<http://openwebfolder.mozdev.org/>), but 
>> Mozilla Update doesn't accept that version with
>>
>> "Error! The MaxAppVer for Firefox of 1.5 in install.rdf is invalid."
>>
>> How are people supposed to release updated extensions before the final 
>> release?
>>
>> Confused,
>>
>> Julian
> 
> Ok,
> 
> I figured out it needs to be "1.4". However, does this mean extension 
> developers are supposed to make another update once 1.5 gets released?

Update refuses any version number that isn't out yet. Rightfully so, 
this is one of the guards against people staging software (combinations) 
on mozilla.org servers that haven't been tested. Everbody is aware that 
the testing matrix is arbitrarily HUGE, but still, testing on future 
software requires more skillz than testing for each release. Like time 
travel skillz.

I, really personally, think that there are a few paths in our workflow 
that are too statically parallized, but in general, testing stuff "that 
should be OK" is not testing stuff.

Axel


More information about the Project_owners mailing list